//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "mainU.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrMain *frMain;
//---------------------------------------------------------------------------
__fastcall TfrMain::TfrMain(TComponent* Owner)
    : TForm(Owner)
{
    PicsCountOfCurrentDir = TotalPicsInIndex = 0;
}
//---------------------------------------------------------------------------
void __fastcall TfrMain::dcbShowPicsChange(TObject *Sender)
{
    dlbShowPics->Drive = dcbShowPics->Drive;
    fllShowPics->Directory = dlbShowPics->Directory;
    cbAppendToIndex->Checked = false;
    cbAppendToIndex->Visible = false;
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::dlbShowPicsChange(TObject *Sender)
{
    fllShowPics->Directory = dlbShowPics->Directory;
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::FormCreate(TObject *Sender)
{
    dlbShowPics->Drive = dcbShowPics->Drive;
    fllShowPics->Directory = dlbShowPics->Directory;
    edtAutoShowInterval->Visible = false;
    edtLoopTimes->Visible = false;
    lblSeconds->Visible = false;
    lblTimes->Visible = false;
    ShowPicsDir = IndexDir = dlbShowPics->Directory;
    cbAppendToIndex->Visible = false;
    IndexDir += "\\Index.txt";
    PageControl1->ActivePage = TabSheet1;

    AnsiString ShowPicsFileName;
    if (ShowPicsDir.Length() <=3 )
       ShowPicsFileName = ShowPicsDir + "ShowPics.exe";
    else
       ShowPicsFileName = ShowPicsDir + "\\ShowPics.exe";

    FILE *IsShowPicsExist;
    IsShowPicsExist = fopen(ShowPicsFileName.c_str(),"rb");
    if (IsShowPicsExist == NULL) bbLoadShowPicsApp->Visible = false;
    fclose(IsShowPicsExist);
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::cbAutoShowClick(TObject *Sender)
{
    if (cbAutoShow->Checked)
    {
       cbAutoShow->Caption = "۰ʮiܶj";
       lblSeconds->Visible = true;
       edtAutoShowInterval->Visible = true;
       edtAutoShowInterval->SetFocus();
    }
    else
    {
       cbAutoShow->Caption = "۰ʮi";
       lblSeconds->Visible = false;
       edtAutoShowInterval->Visible = false;
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::cbAutoLoopClick(TObject *Sender)
{
    if (cbAutoLoop->Checked)
    {
        lblTimes->Visible = true;
        edtLoopTimes->Visible = true;
        edtLoopTimes->SetFocus();
    }
    else
    {
        lblTimes->Visible = false;
        edtLoopTimes->Visible = false;
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::bbCrIndexClick(TObject *Sender)
{
    PicsCountOfCurrentDir = fllShowPics->Items->Count;
    if (PicsCountOfCurrentDir == 0)
    {
        AnsiString ErrMsg;
        ErrMsg = dlbShowPics->Directory + "ؿUS䴩ɡA\n\n";
        ErrMsg += "Lks@ShowPics";
        ShowMessage(ErrMsg);
    }
    else
    {
        AnsiString PicsMsg;
        TotalPicsInIndex += PicsCountOfCurrentDir;
        sdlgCrIndex->InitialDir = ExtractFilePath(IndexDir);
        if (!cbAppendToIndex->Checked)
        {
           if (sdlgCrIndex->Execute())
           {
               IndexDir = ExtractFilePath(IndexDir)  +
                          ExtractFileName(sdlgCrIndex->FileName);
               AnsiString ExtFileName = ExtractFileExt(IndexDir);
               if (ExtFileName.Length() == 0)
               {

                   IndexDir += ".shp";
               }
           }
           else
               return;
        }

        if (!cbAppendToIndex->Visible) cbAppendToIndex->Visible = true;
        bbLoadShowPicsApp->Enabled = false;
        FILE *IndexFile;
        if (cbAppendToIndex->Checked)
        {
            IndexFile = fopen(IndexDir.c_str(),"at");
        }
        else
        {
            TotalPicsInIndex = PicsCountOfCurrentDir; 
            IndexFile = fopen(IndexDir.c_str(),"wt");
            if (cbAutoShow->Checked)
               fprintf(IndexFile,"%d%c%s%c", 1, ','
                      ,edtAutoShowInterval->Text.c_str(),',');
            else
               fprintf(IndexFile,"%d%c%d%c", 0, ',' ,0,',');

            if (cbAutoLoop->Checked)
               fprintf(IndexFile,"%d%c%s%c", 1, ','
                       ,edtLoopTimes->Text.c_str(),',');
            else
               fprintf(IndexFile,"%d%c%d%c", 0, ',' ,0, ',');

            if (!cbIndexOnCD->Checked)
               fprintf(IndexFile,"%c%c%c%c%c", '"'
                      , dcbShowPics->Drive, ':', '"', '\n');
            else
               fprintf(IndexFile,"%c",'\n');
        }

        char *chbuffer = new char[dlbShowPics->Directory.Length()+1];
        StrCopy(chbuffer, dlbShowPics->Directory.c_str());
        chbuffer += 2;

        fprintf(IndexFile,"%s%c%c%c",chbuffer, '\\', ',', '\n');

        int i;
        for (i = 0; i < fllShowPics->Items->Count; i++)
        {
        fprintf(IndexFile,"%s%c%c",fllShowPics->Items->Strings[i].c_str(),
                ',', '\n');
        }
        delete [] chbuffer;
        fclose(IndexFile);
        bbLoadShowPicsApp->Enabled = true;
        PicsMsg = "(Current,Total)=(" + IntToStr(PicsCountOfCurrentDir) +
                  "," + IntToStr(TotalPicsInIndex) + ")";
        stbCrIndex->Panels->Items[0]->Text = PicsMsg;          
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::bbLoadShowPicsAppClick(TObject *Sender)
{
    AnsiString OpenFile, odlgInitialDir, ShellParam;
    odlgInitialDir = ExtractFilePath(IndexDir);
    OpenFile = "ShowPics.exe";
    if (odlgCrIndex->Execute())
    {
        ShellParam = ExtractFileName(odlgCrIndex->FileName);
        ShellExecute(frMain->Handle,"open", OpenFile.c_str(),
                     ShellParam.c_str() ,ShowPicsDir.c_str(),
                     SW_SHOWDEFAULT);
    }                 
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::cbAppendToIndexClick(TObject *Sender)
{
    if (cbAppendToIndex->Checked)
    {
        bbCrIndex->Caption = "[";
        cbAutoShow->Checked = false;
        cbAutoLoop->Checked = false;
        cbIndexOnCD->Checked = false;
        cbAutoShow->Visible = false;
        cbAutoLoop->Visible = false;
        cbIndexOnCD->Visible = false;
    }
    else
    {
        bbCrIndex->Caption = "ͯ";
        cbAutoShow->Visible = true;
        cbAutoLoop->Visible = true;
        cbIndexOnCD->Visible = true;
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::mnuQuitClick(TObject *Sender)
{
    Close();    
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::mnuOldFileClick(TObject *Sender)
{
     if(odlgCrIndex->Execute())
     {
        OldFileName = odlgCrIndex->FileName;
        redtOldFile->Lines->LoadFromFile(OldFileName);
        PageControl1->ActivePage =  TabSheet2;
        frMain->WindowState = wsMaximized;
     }
}
//---------------------------------------------------------------------------

void __fastcall TfrMain::ppmnuCrIndexClick(TObject *Sender)
{
     PageControl1->ActivePage = TabSheet1;
     frMain->WindowState = wsNormal;    
}
//---------------------------------------------------------------------------



void __fastcall TfrMain::ppmnuSaveClick(TObject *Sender)
{
    redtOldFile->Lines->SaveToFile(OldFileName);    
}
//---------------------------------------------------------------------------


