//---------------------------------------------------------------------------
#ifndef mainUH
#define mainUH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <FileCtrl.hpp>
#include <stdio.h>
#include <stdlib.h>
#include <SysUtils.hpp>
#include <shellapi.h>
#include <ComCtrls.hpp>
#include <winbase.h>
#include <Dialogs.hpp>
#include <SysUtils.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TfrMain : public TForm
{
__published:	// IDE-managed Components
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TLabel *lblShowPicsDrive;
    TLabel *lblSeconds;
    TLabel *lblTimes;
    TDriveComboBox *dcbShowPics;
    TCheckBox *cbAutoShow;
    TCheckBox *cbAutoLoop;
    TDirectoryListBox *dlbShowPics;
    TFileListBox *fllShowPics;
    TEdit *edtAutoShowInterval;
    TEdit *edtLoopTimes;
    TBitBtn *bbCrIndex;
    TBitBtn *bbLoadShowPicsApp;
    TCheckBox *cbAppendToIndex;
    TCheckBox *cbIndexOnCD;
    TStatusBar *stbCrIndex;
    TSaveDialog *sdlgCrIndex;
    TOpenDialog *odlgCrIndex;
    TMainMenu *mnuMain;
    TMenuItem *mnuFile;
    TMenuItem *mnuOldFile;
    TMenuItem *N1;
    TMenuItem *mnuQuit;
    TTabSheet *TabSheet2;
    TRichEdit *redtOldFile;
    TPopupMenu *ppmnuFile;
    TMenuItem *ppmnuSave;
    TMenuItem *ppmnuCrIndex;
    void __fastcall dcbShowPicsChange(TObject *Sender);
    void __fastcall dlbShowPicsChange(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall cbAutoShowClick(TObject *Sender);
    void __fastcall cbAutoLoopClick(TObject *Sender);
    void __fastcall bbCrIndexClick(TObject *Sender);
    void __fastcall bbLoadShowPicsAppClick(TObject *Sender);
    void __fastcall cbAppendToIndexClick(TObject *Sender);
    void __fastcall mnuQuitClick(TObject *Sender);
    void __fastcall mnuOldFileClick(TObject *Sender);
    void __fastcall ppmnuCrIndexClick(TObject *Sender);
    
    void __fastcall ppmnuSaveClick(TObject *Sender);
    
private:	// User declarations
    AnsiString IndexDir, ShowPicsDir, OldFileName;
    long PicsCountOfCurrentDir, TotalPicsInIndex;

public:		// User declarations
    __fastcall TfrMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrMain *frMain;
//---------------------------------------------------------------------------
#endif
